uuid: 447675f3-0ecd-4d8a-b6b2-0cd9862047cc
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_cvent_event
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Nodes (Cvent Event)'
source:
  plugin: d7_node
  node_type: cvent_event
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  comment_node_cvent_event/0/status:
    -
      plugin: get
      source: comment
  field_cvent_dates:
    -
      plugin: sub_process
      source: field_cvent_dates
      process:
        value:
          plugin: format_date
          from_format: 'Y-m-d H:i:s'
          to_format: Y-m-d
          source: value
  field_cvent_description:
    -
      plugin: get
      source: field_cvent_description
  field_cvent_location_timezone:
    -
      plugin: get
      source: field_cvent_location_timezone
  field_cvent_logo:
    -
      plugin: sub_process
      source: field_cvent_logo
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_cvent_marketplace_desc:
    -
      plugin: get
      source: field_cvent_marketplace_desc
  field_cvent_marketplace_limit:
    -
      plugin: get
      source: field_cvent_marketplace_limit
  field_cvent_sponsors:
    -
      plugin: get
      source: field_cvent_sponsors
  field_cvent_slido_url:
    -
      plugin: field_link
      source: field_cvent_slido_url
  field_e_book_icon:
    -
      plugin: sub_process
      source: field_e_book_icon
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_e_book_url:
    -
      plugin: field_link
      source: field_e_book_url
  field_guest_icon:
    -
      plugin: sub_process
      source: field_guest_icon
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_hide_e_book_section:
    -
      plugin: get
      source: field_hide_e_book_section
  field_hide_guest_profile_icon:
    -
      plugin: get
      source: field_hide_guest_profile_icon
  field_hide_marketplace_icon:
    -
      plugin: get
      source: field_hide_marketplace_icon
  field_hide_networking_icon:
    -
      plugin: get
      source: field_hide_networking_icon
  field_marketplace_icon:
    -
      plugin: sub_process
      source: field_marketplace_icon
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_networking_icon:
    -
      plugin: sub_process
      source: field_networking_icon
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_sli_do_icon:
    -
      plugin: sub_process
      source: field_sli_do_icon
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_cvent_internal_id:
    -
      plugin: get
      source: field_cvent_internal_id
  field_report_icon:
    -
      plugin: sub_process
      source: field_report_icon
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_report_url:
    -
      plugin: field_link
      source: field_report_url
destination:
  plugin: 'entity:node'
  default_bundle: cvent_event
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_comment_field_instance
